Bug 136848 - RPM leaves /etc/ld.so.cache with the an incorrect context.
RPM leaves /etc/ld.so.cache with the an incorrect context.
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: 139358 (view as bug list)
Depends On:
Blocks: 123466 135876
  Show dependency treegraph
Reported: 2004-10-22 14:11 EDT by Daniel Walsh
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-18 06:05:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2004-10-22 14:11:02 EDT
Description of problem:
RPM leaves /etc/ld.so.cache with the an incorrect context.

Basically when rpm execs ldconfig it is doing it as rpm_script_t or
rpm_t when it should be doing ld_config_t.

A new feature in libselinux rpm_exec should be used for all execs in
Comment 1 Elliot Lee 2004-10-22 15:05:01 EDT
This should only affect strict policy. FC3 release notes need to make
it clear that the strict policy is unsupported and that using the
strict policy with FC3 will require updating the system in the future.
Comment 2 Colin Walters 2004-10-22 15:14:52 EDT
I wouldn't say "unsupported" so much as something like "Users desiring
the SELinux 'strict' policy should track Dan Walsh's updates from
Comment 3 Ed Bailey 2004-10-22 17:06:46 EDT
Dan -- do you agree with Elliot's and Colin's assessments?  If so,
please help me by putting together some verbage that addresses this in
the way you feel most appropriate.

I'll also note that the fact that http://people.redhat.com/dwalsh/ is
completely empty doesn't give me much faith in pointing people
there... :-)
Comment 4 Daniel Walsh 2004-10-25 11:49:32 EDT
I would track the updates in rawhide not in my directory.
Also I use the ftp directory

But people should be getting updates to strict policy from rawhide.

Comment 5 Ed Bailey 2004-10-25 11:51:24 EDT
Not enough time to put together an FC3 release notes entry on this;
pulling from the FC3 relnotes blocker bug...
Comment 9 John Flanagan 2004-11-12 09:38:09 EST
11/12: Dan, need verification of the fix that Jeff built into FC4 [rpm-4.4.4-1]
Comment 12 Daniel Walsh 2004-11-17 15:21:41 EST
*** Bug 139358 has been marked as a duplicate of this bug. ***
Comment 13 Daniel Walsh 2004-11-17 16:53:09 EST
Fixed in rpm-4.3.3-3
Comment 14 Jay Turner 2004-11-18 06:05:40 EST
Closing out based on comment 13.

Note You need to log in before you can comment on or make changes to this bug.